For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
      • GETList Agents
      • POSTRun Agent
  • Control API
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Coda APIAgents

List Agents

GET
https://api.conductorquantum.com/v0/coda/agents
GET
/v0/coda/agents
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(token="<token>")
4modes = client.coda.agents.list()
5print(modes)
1{
2 "agents": [
3 {
4 "name": "build",
5 "description": "Write, debug, and optimise quantum circuits"
6 },
7 {
8 "name": "learn",
9 "description": "Explain quantum computing concepts"
10 }
11 ]
12}
List available agent modes.
Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-api-pathstring or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error